Subject: [precis] PRECIS Test Cases Updated

From: Sam Whited <[email-masked]>
Date: Thu, 19 Oct 2017 16:53:42 -0500

Hi all,

I'd been experimenting with a suite of test cases for PRECIS. Now that
RFC 8264 is out I have updated them for the new RFC.

The test case sections themselves are defined in separate XML files
because I'm generating them from the tests from my Go implementation and
it was easier during development to regenerate those files separately
without having to parse the RFC XML.

Some of them could use comments detailing why the test case is included
or what specifically it tests, and the formatting could stand to be
improved somewhat (I had no idea how to represent the input and output
bytes). Suggestions welcome.

—Sam